> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Get api keys



## OpenAPI

````yaml /openapi.json get /api-keys/{workspace_id}
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /api-keys/{workspace_id}:
    get:
      tags:
        - ApiKey
      operationId: get-api-keys-workspace-id
      parameters:
        - name: workspace_id
          schema:
            type: string
          in: path
          required: true
          deprecated: false
          explode: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ApiKeyListResponse'
        '400':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ApiKeyListResponse:
      type: object
      title: ApiKeyListResponse
      required:
        - api_keys
      properties:
        api_keys:
          type: array
          items:
            $ref: '#/components/schemas/ApiKeyResponse'
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
    ApiKeyResponse:
      type: object
      title: ApiKeyResponse
      required:
        - id
        - name
        - workspace_id
        - key_prefix
        - permission_level
        - is_active
        - created_at
        - updated_at
      properties:
        id:
          type: string
        name:
          type: string
        workspace_id:
          type: string
        key_prefix:
          type: string
        permission_level:
          $ref: '#/components/schemas/PermissionLevelRequest'
        last_used_at:
          type: string
        expires_at:
          type: string
        is_active:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
    PermissionLevelRequest:
      type: string
      enum:
        - read
        - write

````